<!-- manual page source format generated by PolyglotMan v3.0.7, -->
<!-- available via anonymous ftp from ftp.cs.berkeley.edu:/ucb/people/phelps/tcltk/rman.tar.Z -->

<HTML>
<HEAD>
<TITLE>Man page for argh.1</TITLE>
</HEAD>
<BODY bgcolor=white>
<A HREF="#toc">Table of Contents</A><P>

<H2><A NAME="sect0" HREF="#toc0">Name</A></H2>

<P>
argh - front-end for multi-argument passes

<H2><A NAME="sect1" HREF="#toc1"><B>Synopsis</B></A></H2>

<P>
<B>argh</B> <I>progname</I> <B>-.</B><I>out-suffix</I> [ <I>flags</I> ] <I>infiles</I>

<H2><A NAME="sect2" HREF="#toc2"><B>Description</B></A></H2>

<P>
This little utility makes it easier to use passes that
take multiple input and output files on the command-line
by giving a different interface. It simply runs the command
<I>progname</I> with <I>infiles</I> as the input file names and
generates the output file names from these by replacing
the input file names with the suffix <B>.</B><I>out-suffix.</I> <B>argh</B>
assumes that <I>progname</I> expects its command-line in the form
of alternating input and output file names. Arguments
beginning with ``-'' are assumed to be flags instead of
input files, so they are passed through unchanged to <I>prog</I><B>_</B>n<I>ame.</I>
The special flag ``--'' is assumed to mark the end
of the flags, so all subsequent arguments are taken as
file names, even if they begin with ``-''. The ``--''
flag is also passed through to <I>progname.</I>

<H2><A NAME="sect3" HREF="#toc3"><B>History</B></A></H2>

<P>
This program was written by Chris Wilson.
<P>

<HR><P>
<A NAME="toc"><B>Table of Contents</B></A><P>
<UL>
<LI><A NAME="toc0" HREF="#sect0">Name</A></LI>
<LI><A NAME="toc1" HREF="#sect1">Synopsis</A></LI>
<LI><A NAME="toc2" HREF="#sect2">Description</A></LI>
<LI><A NAME="toc3" HREF="#sect3">History</A></LI>
</UL>
</BODY></HTML>
